from base64 import b64decode
from os.path import normpath, exists, join
def bfs11305():
  bfs11304 = 'aGVsaXVtLXB5dGhvbi9zcmMvbWFpbi9weXRob24='.encode('ascii')
  bfs11303 = b64decode(bfs11304).decode('ascii')
  return (normpath(bfs11303) in normpath(__file__))

class bfs11306(object):
  def __init__(self, *bfs11310):
    self.bfs11310 = bfs11310

  def bfs10507(self, *bfs11307):
    for bfs11311 in self.bfs11310:
      location = self.bfs11313(bfs11311, *bfs11307)
      if exists(location):
        return location


    return self.bfs11313(self.bfs11310[0], *bfs11307)

  def bfs11313(self, *bfs11312):
    return normpath(join(*bfs11312))


